CCuddFirstIter.h File Reference
`#include "CCuddNavigator.h"`
`#include <boost/iterator/iterator_facade.hpp>`

Go to the source code of this file.

## Classes

class | polybori::CCuddFirstIter
| This class defines an iterator over the first minimal term of a given ZDD node. More...

## Namespaces

| polybori

## Constant Groups

| polybori

## Detailed Description

Author
  Alexander Dreyer

Date
  2006-03-26

This file defines an stl-like iterator for accessing the nonzero indices of the leading (first) minimal term of Cudd decision diagrams.

Note
  : Tested for Cudd's ZDDs only.

Copyright:
  (c) 2006 by The PolyBoRi Team